Skip to main content
PATCH
Update customer credit

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business the customer credit belongs to.

customerCreditId
string<uuid>
required

The UUID of the customer credit to update.

Body

application/json
external_id
string

External identifier for the customer credit.

customer_id
string<uuid>

UUID of the customer this credit is associated with.

customer_external_id
string

External identifier of the customer this credit is associated with.

sent_at
string<date-time>

Timestamp when the customer credit was sent.

line_items
object[]

List of line items for this customer credit.

allocations
object[]

List of allocations for this customer credit.

tags
object[]

List of tags associated with this customer credit.

memo
string | null

Memo for any text you would like to associate with the customer credit (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB.

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the customer credit. Can be used to filter when listing customer credits.

Response

200 - application/json

Customer credit updated successfully.

data
object
required